#pragma once

#include "resource.h"
#include "afxwin.h"
#include "afxdtctl.h"

// CRefusalMiniDlg dialog

class CRefusalMiniDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CRefusalMiniDlg)

public:
	CRefusalMiniDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CRefusalMiniDlg();

	CaplAPI *m_api;
	CaplInstance *m_refusal;

	bool m_bReadOnly;


// Dialog Data
	enum { IDD = IDD_REFUSAL_MINI };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	void InitComboType();
	void InitComboStage();

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	CEdit m_RefDocNumCtrl;
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
	CComboBox m_combo_ref_type;
	CComboBox m_combo_ref_state;
	CEdit m_RefDescrCtrl;
	CComboBox m_combo_ref_doc;
	CDateTimeCtrl m_date_ref_doc_date;
protected:
	virtual void OnOK();
};
